{% extends 'base.html.twig' %}

{% block title %}{{ 'domain.bimi.title'|trans({'domain': domain }) }}{% endblock %}

{% block body -%}

    {% for flashMessage in app.session.flashbag.get('notice') %}
        <div class="alert alert-info">
            {{ flashMessage|trans }}
        </div>
    {% endfor %}

    <br />

    <div class="bimi-description">
        {{ 'domain.bimi.description'|trans|raw }}
    </div>

    <h4>{{ 'domain.bimi.logo.head'|trans }}</h4>

    <table class="table">
        <tbody>
            {% if logo %}
            <tr>
                <th style="width:20%">{{ 'domain.bimi.logo.label'|trans }}</th>
                <td>
                    <div id="bimi-logo">
                        <div style="display: inline-block; width: 96px; height: 96px; overflow: hidden"><img alt="SVG Bimi logo" src="{{ url('domain_bimi_logo', {name: domain.name}) }}" style="width: 100%" /></div>
                        &nbsp;
                        <div style="display: inline-block; width: 96px; height: 96px; overflow: hidden; border-radius: 24px;"><img alt="SVG Bimi logo" src="{{ url('domain_bimi_logo', {name: domain.name}) }}" style="width: 100%" /></div>
                        &nbsp;
                        <div style="display: inline-block; width: 96px; height: 96px; border-radius: 96px; overflow: hidden"><img alt="SVG Bimi logo" src="{{ url('domain_bimi_logo', {name: domain.name}) }}" style="width: 100%" /></div>
                    </div>
                    <br />
                    <span class="delete-button">
                    {{ form(deleteLogoForm, {'attr': {'class': 'logo-delete'}}) }}
                    </span>
                </td>
            </tr>
            {% endif %}
            <tr>
                <th style="width:20%">{{ 'domain.bimi.logo.location'|trans }}</th>
                <td>
                    {% if logo %}
                        <div class="input-group">
                            <input type="text" class="form-control" id="bimi-logo-link" style="margin-bottom: 0" readonly="readonly"
                                   value="{{ url('domain_bimi_logo', {name: domain.name}) }}" />
                            <span class="input-group-btn">
                                <button class="btn btn-default copy" type="button" data-clipboard-target="#bimi-logo-link"><span class="fa fa-copy"></span></button>
                            </span>
                        </div>
                    {% else %}
                        <em>{{ 'domain.bimi.logo.empty'|trans }}</em>
                    {% endif %}
                </td>
            </tr>
            <tr>
                <th></th>
                <td>{{ 'domain.bimi.logo.requirements'|trans|raw }}</td>
            </tr>
            <tr>
                <th>{{ 'domain.bimi.upload'|trans }}</th>
                <td>
                    <form class="logo-upload" action="{{ path('domain_bimi', {'name': domain}) }}" method="POST" enctype="multipart/form-data">
                        {{ form_widget(uploadLogoForm) }}
                    </form>
                </td>
            </tr>
        </tbody>
    </table>

    <h4>{{ 'domain.bimi.vmc.head'|trans }}</h4>
    <table class="table">
        <tbody>
        <tr>
            <th style="width:20%">{{ 'domain.bimi.vmc.location'|trans }}</th>
            <td>
                {% if cert %}
                    <div class="input-group">
                        <input type="text" class="form-control" id="bimi-cert-link" style="margin-bottom: 0" readonly="readonly"
                               value="{{ url('domain_bimi_cert', {name: domain.name}) }}" />
                        <span class="input-group-btn">
                            <button class="btn btn-default copy" type="button" data-clipboard-target="#bimi-cert-link"><span class="fa fa-copy"></span></button>
                        </span>
                    </div>
                {% else %}
                    <em>{{ 'domain.bimi.vmc.empty'|trans }}</em>
                {% endif %}
            </td>
        </tr>
        <tr>
            <th></th>
            <td>{{ 'domain.bimi.vmc.requirements'|trans|raw }}</td>
        </tr>
        <tr>
            <th>{{ 'domain.bimi.upload'|trans }}</th>
            <td>
                <form class="cert-upload" action="{{ path('domain_bimi', {'name': domain}) }}" method="POST" enctype="multipart/form-data">
                {{ form_widget(uploadCertForm) }}
                </form>
            </td>
        </tr>

        {% if cert %}
            <tr>
                <th>{{ 'domain.bimi.vmc.label'|trans }}</th>
                <td>
                    <span class="delete-button">
                    {{ form(deleteCertForm, {'attr': {'class': 'cert-delete'}}) }}
                    </span>
                    <br /><br />
                    <pre><code>{{ cert }}</code></pre>
                </td>
            </tr>
        {% endif %}
        </tbody>
    </table>

{% endblock %}

{% block javascripts %}
<script src="{{ asset('resources/clipboard.min.js') }}"></script>
<script>
    var clipboard = new ClipboardJS('.copy');
    clipboard.on('success', function(e) {

        e.trigger.innerHTML = '<span class="fa fa-check"></span>';
        setTimeout(function() {
            e.trigger.innerHTML = '<span class="fa fa-copy"></span>';
        }, 700);

        e.clearSelection();
    });
</script>
{% endblock %}